Subject: [Gen-art] Gen-ART review of draft-ietf-6lowpan-hc-14.txt

From: <[email-masked]>
Date: Wed, 23 Feb 2011 18:46:09 -0500

Hi Pascal,

I apologize for the delayed response.  I think the -14 version of the draft has the UDP checksum issue under control, but  I have one more edit that I'd like to see (in essence, I want to see an important area of forbidden behavior actually prohibited by an RFC 2119 "MUST NOT" statement).

Section 4.3.2:

	The Upper Layer MAY only provide the authorization in the following cases:

"MAY only" doesn't get the job done wrt RFC 2119.  Rather than editing that text, I suggest leaving it in place and adding the following sentence after the descriptions of the two cases:

	The Upper Layer MUST NOT provide the authorization when neither of the above two cases applies.

Aside from that one minor edit, the draft looks good, and the near-doubling in size of Section 4.3.2 is indicative of the care and attention that has been devoted to dealing with this issue (thanks).  You're welcome to add my name to the Acknowledgements section if you think that's appropriate.

Thanks,
--David
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: Pascal Thubert (pthubert) [mailto:[email-masked]]
> Sent: Tuesday, February 15, 2011 3:09 AM
> To: Russ Housley; The IESG; Black, David; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Gen-ART review of draft-ietf-6lowpan-hc-13.txt
> 
> Dear reviewers:
> 
> Thanks to the discussions with David, Lars, Carsten and Russ, the authors published a draft 14 (see
> attached) that hopefully covers the issues raised:
> 
> - preventing misdirection of packets with compressed UDP checksum
> - inappropriate focus on L4 security
> 
> http://www.ietf.org/internet-drafts/draft-ietf-6lowpan-hc-14.txt
> 
> Could you please check the new text or more specifically the diffset:
> 
> http://tools.ietf.org/rfcdiff?url2=draft-ietf-6lowpan-hc-14
> 
> Thanks for all,
> 
> Pascal
> 
> > -----Original Message-----
> > From: Russ Housley [mailto:[email-masked]]
> > Sent: Tuesday, January 18, 2011 10:55 PM
> > To: The IESG
> > Cc: [email-masked]; [email-masked]; draft-ietf-
> > [email-masked]
> > Subject: Russ Housley's Discuss on draft-ietf-6lowpan-hc-13: (with DISCUSS)
> >
> > Russ Housley has entered the following ballot position for
> > draft-ietf-6lowpan-hc-13: Discuss
> >
> > When responding, please keep the subject line intact and reply to all email
> > addresses included in the To and CC lines. (Feel free to cut this introductory
> > paragraph, however.)
> >
> > Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
> > for more information about IESG DISCUSS and COMMENT positions.
> >
> >
> >
> > ----------------------------------------------------------------------
> > DISCUSS:
> > ----------------------------------------------------------------------
> >
> >
> >   The Gen-ART Review by David Black on 17-Jan-2011 lead to a discussion
> >   about the use of checksums with UDP.  This discussion does not seem to
> >   be over.  The last thing that I saw was:
> >
> >     I'm still unhappy since the text allows a middle point to recomputed
> >     the checksum which then might be delivered erroneously to the wrong
> >     IP or port.  This was done to ensure that a packet that flows on the
> >     Internet would 'look right' to middle boxes and end points.  It  is
> >     probably OK for most 802.15.4 cases since L2 security is almost
> >     always on and protects the frames a lot better than 2 octets of
> >     checksum.  But if there's no security at work, it would probably be
> >     better to let the packet go with a zero checksum and add some text
> >     on authorizing that an arbitrary end point.
> >
> >   This discussion needs to reach a resolution before this document is
> >   approved.
> >
> >

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 24 Feb 2011 17:33:37 +0100

Hi David;

Jonathan and I agree with your proposal so we included it and published 15.

http://tools.ietf.org/html/draft-ietf-6lowpan-hc-15 

Thanks again for your help.

Russ and Lars: Do you think that 1 also addresses your DISCUSS?

Thanks a bunch you all,

Pascal
http://www.xtranormal.com/watch/7011357/

> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, February 24, 2011 12:46 AM
> To: Pascal Thubert (pthubert); [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: Gen-ART review of draft-ietf-6lowpan-hc-14.txt
> 
> Hi Pascal,
> 
> I apologize for the delayed response.  I think the -14 version of the draft has
> the UDP checksum issue under control, but  I have one more edit that I'd like
> to see (in essence, I want to see an important area of forbidden behavior
> actually prohibited by an RFC 2119 "MUST NOT" statement).
> 
> Section 4.3.2:
> 
> "MAY only" doesn't get the job done wrt RFC 2119.  Rather than editing that
> text, I suggest leaving it in place and adding the following sentence after the
> descriptions of the two cases:
> 
> Aside from that one minor edit, the draft looks good, and the near-doubling
> in size of Section 4.3.2 is indicative of the care and attention that has been
> devoted to dealing with this issue (thanks).  You're welcome to add my name
> to the Acknowledgements section if you think that's appropriate.
> 
> Thanks,
> --David
> > > When responding, please keep the subject line intact and reply to
> > > all email addresses included in the To and CC lines. (Feel free to
> > > cut this introductory paragraph, however.)
> > >
> > > Please refer to
> > > http://www.ietf.org/iesg/statement/discuss-criteria.html